Subject: ofpap not working; print not happening

From: Jim Miller <[email-masked]>
Date: Sat, 7 Jul 2001 22:43:49 -0700

Hello from a netatalk newbie...

I've installed netatalk-1.4b2+asun... into RedHat 7.1 (x86).  That's doing fine; my linux machine is showing up in my mac choosers.  I'm now trying to get printing working, which is where the problem lies.

I've followed Werner Eugster's (very helpful!) instructions, and am at the point where I can get postscript files from my linux machine to my Laserwriter by an explicit call to ofpap (e.g., ofpap < file.ps).  However, when I try to print via lp, I get in my printer's /var/spool/lp/status.lp file:

waiting for subserver to exit at 2001-07-07-22:23:26.410 ## A=<NULL> number=0 process=1557
subserver pid 1558 starting at 2001-07-07-22:23:26.424 ## A=root@linux+556 number=556 process=1558
accounting at start at 2001-07-07-22:23:26.424 ## A=root@linux+556 number=556 process=1558
opening device '/dev/atalk/lp' at 2001-07-07-22:23:26.424 ## A=root@linux+556 number=556 process=1558
printing job 'root@linux+556' at 2001-07-07-22:23:26.424 ## A=root@linux+556 number=556 process=1558
printing 'root@linux+556' starting OF 'ofpap' at 2001-07-07-22:23:26.424 ## A=root@linux+556 number=556 process=1558
OF filter msg - 'Unknown' at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
OF filter msg - 'Unknown' at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
OF filter msg - 'Didn't find initial page count!' at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
OF filter problems, error 'JABORT' at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
accounting at end at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
finished 'root@linux+556', status 'JABORT' at 2001-07-07-22:23:26.575 ## A=root@linux+556 number=556 process=1558
subserver pid 1558 exit status 'JABORT' at 2001-07-07-22:23:26.576 ## A=<NULL> number=0 process=1557
job 'cfA556linux.miramontes.com' error 'aborting operations' at 2001-07-07-22:23:26.689 ## A=<NULL> number=556 process=1557
removing job 'cfA556linux.miramontes.com' - ABORT at 2001-07-07-22:23:26.866 ## A=<NULL> number=556 process=1557

that is: ofpap is breaking for some reason I can't figure out.  All the permissions and owners in the various files and directories seem to be correct; does anyone have any clues?

Cluelessly, but with thanks,
Jim Miller